*,
*::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  min-width: 100vw;

  background-image: linear-gradient(
    135deg,
    rgb(20 21 30) 11%,
    rgb(20 21 30) 88%,
    rgb(56 8 114) 144%
  );
  overflow: hidden;
  font-family: "Montserrat", sans-serif;
  display: grid;
  grid-template-rows: 1fr;
  place-items: center;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-thumb {
  background: linear-gradient(45deg, #f99607 20%, #5300b7 50%, #7400ff);

  border-radius: 10px;
}

a {
  text-decoration: none;
  color: #ffffff;
}

ul {
  list-style: none;
}
.container {
  height: 90vh;
  min-width: 95vw;
  gap: 1rem;
  display: flex;
}

@media (max-width: 670px) {
  .container {
    flex-direction: column;
  }
}
/* circle */

.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: -100;
}
.circle:nth-child(1) {
  position: absolute;
  width: 200px;
  height: 200px;
  bottom: 15px;
  left: 100px;
  border-radius: 50%;
  background: linear-gradient(45deg, #5300b7 20%, #5300b7 50%, #7400ff);
  filter: blur(10px);
}
.circle:nth-child(2) {
  filter: blur(10px);
  position: absolute;
  width: 500px;
  height: 500px;
  bottom: 207px;
  right: -253px;
  border-radius: 50%;
  background: linear-gradient(45deg, #f99607 20%, #5300b7 50%, #7400ff);
}

/* nav**************************/

nav {
  background-image: linear-gradient(
    130deg,
    rgb(56 8 114) -31%,
    rgb(20 21 30 / 52%) 42%
  );
  border-radius: 1rem;
  flex-basis: 5%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  gap: 3rem;
  transition: all 0.5s ease;
  color: #ffffff;
  text-transform: capitalize;
  /* backdrop-filter: blur(10px); */

  box-shadow: 6px 6px 15px #0d0e1075;
  position: relative;
}

.logo-nav {
  position: relative;
  font-weight: 500;
  font-size: 1.3rem;
}
.logo-nav::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: linear-gradient(45deg, #5300b7 20%, #5300b7 50%, #7400ff);
  transition: all 0.5s ease-in;
}
nav:hover .logo-nav::before {
  width: 80px;
  border-radius: 0.3rem;
}
.btn-nav,
.list-nav {
  width: 100%;

  display: flex;
  flex-direction: column;

  align-items: flex-start;
  margin-left: 2rem;
  gap: 1rem;
}
.btn-nav-box {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
.icon {
  cursor: pointer;
  background: linear-gradient(45deg, #5300b7 20%, #5300b7 50%, #7400ff);
  color: #ffffff;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: none;
  outline: none;
  font-size: 1rem;
  display: grid;
  place-items: center;
}

.list-nav li {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.list-nav li:nth-child(1) {
  position: relative;
}

.list-nav li .txt {
  flex: 1;
}

.txt {
  white-space: nowrap;
  display: none;
  transition: color 0.2s;
}

.txt .nav-link {
  cursor: pointer;
  overflow: hidden;
}
.btn-nav .txt:hover,
.list-nav .txt:hover {
  color: #8724ff;
}
nav:hover {
  flex-basis: 20%;
}

nav:hover .list-nav li {
  justify-content: initial;
}

nav:hover .nav-link {
  animation: swim 0.5s ease;
}

@keyframes swim {
  0% {
    width: 0px;
    transform: rotate3d(1, 1, 181, 93deg);
  }
  100% {
    width: 100%;
    transform: rotate3d(1, 1, 1, 0deg);
  }
}

.category-nav {
  position: absolute;
  top: -27%;
  left: 119%;
  padding: 0 1.5rem;
  border-radius: 0.5rem;
  background: linear-gradient(232deg, #f99607 4%, #6b00f9 62%, #5200b5);
  display: flex;
  gap: 1rem;
  height: 50px;
  pointer-events: none;
  transform: rotateZ(90deg);
  transform-origin: left;
  opacity: 0;
  transition: 0.5s ease;
  z-index: 5;
}
.category-nav.show {
  pointer-events: all;
  opacity: 1;
  transform: rotateZ(0);
}
.category-nav li {
  cursor: pointer;
  position: relative;
  font-size: 0.8rem;
  white-space: nowrap;
}
.category-nav li::after {
  content: "";
  position: absolute;
  top: 90%;
  left: 50%;
  transform: translate(-50%, -100%);
  width: 10px;
  height: 10px;
  background-color: #f99607;
  border-radius: 50%;

  transition: all 0.3s ease;
  opacity: 0;
}
.category-nav li:hover::after {
  top: -20%;
  opacity: 1;
}
.category-nav::after {
  position: absolute;
  content: "";
  top: 50%;
  transform: translatey(-50%);
  left: -30px;
  border: 15px solid;
  border-color: transparent #5200b5 transparent transparent;
}

.togle-nav {
  display: none;
}

@media (max-width: 670px) {
  nav {
    justify-content: space-between;
    padding: 1.5rem;
    position: relative;
    height: 74px;
  }
  nav:hover {
    flex-basis: initial;
  }
  .btn-nav,
  .list-nav {
    display: none;
  }

  .show_nav,
  nav.show_nav .btn-nav,
  nav.show_nav .list-nav {
    display: flex;
    height: 100%;
  }
  .togle-nav {
    display: block;
    position: absolute;
    top: 28px;
    left: 50px;
  }
}
/* section********************** */
section {
  background-image: linear-gradient(
    135deg,
    rgba(20, 21, 30, 0.493) 11%,
    rgba(20, 21, 30, 0.637) 88%,
    rgba(56, 8, 114, 0.651) 144%
  );
  border-radius: 1rem;
  flex-basis: 100%;
  box-shadow: 6px 6px 15px #0d0e1075;
  /* backdrop-filter: blur(10px); */
  overflow: auto;
}
.rotine {
  margin: 1rem 0;
}
.rotine h1,
.task h1 {
  color: #fff;
  font-weight: 300;
  font-size: 2rem;
  text-transform: uppercase;
  text-align: center;
}
.rotine-root,
.tasks-root {
  background: linear-gradient(
    130deg,
    rgb(56 8 114) -31%,
    rgb(20 21 30 / 52%) 42%,
    rgb(56 8 114 / 43%) 117%
  );
  border-radius: 1rem;
  padding: 3rem 2.5rem 2.5rem;
  margin: 1rem;
  color: #fff;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 3rem;
}
.rotine-root h2,
.tasks-root h2 {
  font-size: 3rem;
  font-weight: 200;
  color: #5200b5;
  text-transform: uppercase;
  text-align: center;
  cursor: pointer;
}
.completed {
  opacity: 0.3;
}
.rotine-box {
  border-radius: 1rem;
  background: linear-gradient(
    130deg,
    rgb(56 8 114) 17%,
    rgb(20 21 30 / 62%) 77%
  );
  position: relative;
  height: fit-content;
}

.rotine-time {
  position: absolute;
  width: 100%;
  top: -45%;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  pointer-events: none;
}
.rotine-time > div {
  width: 65px;
  height: 65px;
  border-radius: 50%;
  background: linear-gradient(345deg, #f99607 17%, #6b00f9 62%, #5200b5);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 0.7rem;
  font-weight: 600;
  white-space: nowrap;
}
.rotine-contnet {
  pointer-events: none;
}
.rotine-contnet p,
.task-box h3 {
  text-align: center;
  padding: 1rem 0;
  font-size: 1.1rem;
  font-weight: 600;
  text-transform: capitalize;
  font-style: italic;
  margin: auto;
  max-width: 100px;
  word-break: break-all;
}

.rotine-contnet,
.rotineTime,
.task-contnet,
.task-progres,
.task-contnet-time {
  user-select: none;
}
.rotine-contnet-time,
.task-contnet-time {
  background: linear-gradient(-45deg, #5300b7 20%, #5300b7 50%, #7400ff);
  padding: 0.5rem 0.5rem 0.5rem 1.1rem;
  font-weight: 400;
  font-size: 0.6rem;
  border-radius: 0 0 1rem 1rem;
  display: grid;
  gap: 0.3rem;
}
.rotineTime > div {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.rotine-box .control {
  position: absolute;
  display: flex;
  gap: 1rem;
  left: 50%;
  top: -50%;
  transform: translate(-50%, 50%);
  overflow: hidden;
}

.task-box .control {
  position: absolute;
  top: -35px;
  width: 100%;
  display: flex;
  gap: 0.5rem;
  justify-content: space-around;
  overflow: hidden;
}
.control > button {
  flex: 1;
}
.control button {
  border: none;
  outline: none;
  border-radius: 0.5rem;
  padding: 0.5rem;
  font-size: 0.8rem;
  text-transform: capitalize;
  cursor: pointer;
  color: #fff;
  transition: all 0.2s ease;
  transform: translateX(-800%);
}
.rotine-box:hover .control button,
.task-box:hover .control button {
  transform: translateX(0);
}
.control .btn-delete {
  background: #b70d00f2;
}
.control .btn-delete:hover {
  background: #b70c00b7;
}
.control .btn-edit {
  background-color: #f99607;
}
.control .btn-edit:hover {
  background-color: #f99407b2;
}
.control .btn-completed {
  background-color: rgb(27, 133, 255);
}
.control .btn-completed:hover {
  background-color: rgb(16, 107, 211);
}
.tasks-root {
  padding: 2.5rem;
}
.task-box {
  background: linear-gradient(
    130deg,
    rgb(255 141 0) -3%,
    rgb(84 0 185 / 45%) 55%
  );
  border-radius: 1rem;
  height: fit-content;
  position: relative;
}

.task-dsc {
  font-size: 0.8rem;
  padding: 0 1rem 1rem;
  font-weight: 500;
  line-height: 1.7;
  color: #fff;
}

.task-progres {
  position: relative;
  width: calc(100% - 2rem);
  margin: 1rem;
  line-height: 1.5;
  height: 1.5rem;
  background: linear-gradient(
    130deg,
    rgb(56 8 114) -31%,
    rgb(20 21 30 / 52%) 42%,
    rgb(56 8 114 / 43%) 117%
  );
  border-radius: 1rem;
}

.task-progres > span:last-child {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  text-align: end;
  padding-right: 0.2rem;
  border-radius: 1rem;
  display: grid;
  justify-content: center;
  align-items: center;
  font-size: 0.7rem;
  background: linear-gradient(90deg, rgb(83, 0, 185) 10%, rgb(255 141 0));
}

.rotine-form,
.task-form {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgb(20 1 42 / 84%);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  color: #fff;
  gap: 2rem;
}

.form-box {
  background: linear-gradient(
    130deg,
    rgb(56 8 114) 0%,
    rgb(20 21 30 / 52%) 65%
  );

  border-bottom: 1px solid #fff;
  border-radius: 0.8rem;
  padding: 1.7rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 40%;
}
.form-box > div {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1rem;
}
.form-box > div.time {
  flex-direction: row;
  justify-content: center;
  gap: 3rem;
}
.form-box .taskDate {
  flex-direction: column;
  gap: 1rem;
}
.form-box > div label {
  text-transform: capitalize;
}
.form-box .rotineTime label {
  margin-bottom: 1rem;
  display: block;
}
.form-box > div input[type="number"],
input[type="text"],
input[type="date"],
.form-box > div textarea {
  width: 100%;
  padding: 1rem;
  border: none;
  outline: none;
  border-radius: 0.5rem 0.5rem 0rem 0rem;
  border-bottom: 1px solid #fff;
  color: #fff;
  background: rgba(56, 8, 114, 0.5);
  text-align: center;
}
.form-box > div input::placeholder {
  color: #a153ff;
  font-weight: 100;
  text-transform: capitalize;
  font-size: 0.7rem;
}
.form-box textarea {
  min-height: 100px;
  resize: none;
}
input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  overflow: hidden;
  height: 20px;
  border-radius: 1rem;
  background: linear-gradient(
    135deg,
    rgb(102, 3, 223) 11%,
    rgba(16, 17, 24, 0.37) 144%
  );
}
.range {
  position: relative;
}
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  cursor: ew-resize;
  box-shadow: -280px 0 20px 120px #7400ff, -140px 0 20px 120px #450494,
    inset 0 0 0 40px #ffffff;
  border-radius: 50%;
}
input[type="date"] {
  width: 40%;
  margin: auto;
  cursor: pointer;
}
input[type="date"]::-webkit-calendar-picker-indicator {
  background-color: rgb(255, 255, 255);
  cursor: pointer;

  font-size: 1.2rem;
  padding: 0.2rem;
  border-radius: 0.2rem;
}

.rangeNum {
  position: absolute;
  background: linear-gradient(
    135deg,
    rgb(102, 3, 223) 11%,
    rgba(16, 17, 24, 0.37) 144%
  );
  padding: 0.5rem;
  font-size: 0.8rem;
  border-radius: 0.1rem 1.8rem 1.8rem 2.7rem;
  bottom: -2.1rem;
  left: 0;
  opacity: 0;
  transition: opacity 0.2s;
}
.range:hover .rangeNum {
  opacity: 1;
}
button[type="submit"] {
  border: 1px solid #fff;
  background: none;
  color: #fff;
  width: 6rem;
  height: 3rem;
  border-radius: 0.6rem;
  transition: all 0.1s ease;
  cursor: pointer;
}
button[type="submit"]:hover {
  background-color: #5200b5;
  border: none;
}

@media (max-width: 994px) {
  .form-box {
    width: 80%;
  }
}
@media (max-width: 576px) {
  .form-box {
    width: 100%;
  }
}
@media (max-width: 370px) {
  .form-box {
    width: 90%;
  }
}
